
--------- MIG_MAPPING_RULES ---------------------

CREATE TABLE [MIG_MAPPING_RULES](
	[ZZ_ID] [int] NOT NULL,
	[TEMPLATE] [varchar](255) NOT NULL,
	[CAD_OBJ_ID] [varchar](64) NOT NULL, 
	[CAD_OBJ_UI_LABEL] [varchar](128) NOT NULL,
	[CAD_FLD_ID] [varchar](255) NOT NULL, 
	[CAD_FLD_UI_LABEL] [varchar](128) NOT NULL,
	[CAD_FLD_UI_TYPE] [varchar](32) NOT NULL,
	[CAD_FLD_LEN] [int] NOT NULL,
	[DIRECTION] [varchar](16) NOT NULL,
	[PDM_OBJ_ID] [varchar](64) NOT NULL,
	[PDM_OBJ_UI_LABEL] [varchar](128) NOT NULL,
	[PDM_FLD_ID] [varchar](64) NOT NULL,
	[PDM_FLD_UI_LABEL] [varchar](128) NOT NULL,
	[PDM_FLD_DNAME] [varchar](128) NULL,
	[PDM_FLD_UI_TYPE] [varchar](32) NOT NULL,
	[PDM_FLD_LEN] [int] NOT NULL,
	[UPDT_CAD_WHEN_NOT_FLD] [int] NOT NULL,
	[TO_UPPER_CASE] [int] NOT NULL,
	[EXTRA_DATA] [varchar](max) NULL,
	[UPDATED_ON] DATETIME2 NOT NULL,
	[NEW_PDM_OBJ_ID] [varchar](64) NULL,
	[NEW_PDM_OBJ_UI_LABEL] [varchar](128) NULL,
	[NEW_PDM_FLD_ID] [varchar](64) NULL,
	[NEW_PDM_FLD_UI_LABEL] [varchar](128) NULL,
	[NEW_PDM_FLD_UI_TYPE] [varchar](32) NULL,
	[NEW_PDM_FLD_LEN] [int] NULL,
 CONSTRAINT [PK_MIG_MAPPING_RULES_IDX] PRIMARY KEY CLUSTERED 
(
	[ZZ_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]



